Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices
Interface OracleCall

All Superinterfaces:
  Call, ClientConstants

public interface OracleCall
extends Call, ClientConstants

This is Oracle's dynamic invocation call interface that extends the `javax.xml.rpc.Call` interface with additional API's.

Field Summary
`static String` | `ENDPOINT_ADDRESS_PROPERTY` A property to set the endpoint address on the Call object instance.

Fields inherited from interface javax.xml.rpc.Call
`ENCODINGSTYLE_URI_PROPERTY, OPERATION_STYLE_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, SOAPACTION_URI_PROPERTY, SOAPACTION_USE_PROPERTY, USERNAME_PROPERTY`

Fields inherited from interface oracle.webservices.ClientConstants
`CHARACTER_SET_ENCODING, CHUNK_SIZE, COOKIE_MAP, DIME_ENCODE_MESSAGES_WITH_ATTACHMENTS, DO_NOT_CHUNK, JMS_TARGET_CORRELATION_ID, JMS_TARGET_MESSAGE_ID, JMS_TARGET_REPLY_TO_FACTORY_NAME, JMS_TARGET_REPLY_TO_QUEUE_NAME, JMS_TARGET_REPLY_TO_TOPIC_NAME, JMS_TRANSPORT_REPLY_TO_FACTORY_NAME, JMS_TRANSPORT_REPLY_TO_QUEUE_NAME, SERVICEIMPL_NAME, SOAP_VERSION, WSM_INTERCEPTOR_PIPELINE_CONFIG`

Method Summary
`void` | `addAttachment(DataHandler dataHandler, String contentEncoding, String contentID)` Add an attachment to the SOAPMessage in a DII call.
`void` | `addHeader(Element header)` Add a header which should be inserted into each outgoing message we generate.
`void` | `destroy()` Destroys the call and releases any resouces that may be held by it.
`ClientTransport` | `getClientTransport()` Gets the ClientTransport object representing the transport mechanism that will be used to send and receive soap messages.
`Vector` | `getHeaders()` Get the headers that were added with the above method.
`QName` | `getPortName()` Get the QName of the port that the call will be made to.
`Element` | `invoke(Element req)` Invokes a specific operation using a synchronous request-response interaction mode.
`Element` | `invoke(QName operationName, Element[] messageParts)` Invokes a specific operation using a synchronous request-response interaction mode.
`void` | `invokeOneWay(Element req)` Invokes a remote method using the one-way interaction mode.
`void` | `invokeOneWay(QName operationName, Element[] messageParts)` Invokes a remote method using the one-way interaction mode.
`void` | `setClientTransportFactory(ClientTransportFactory clientTransportFactory)` Sets the ClientTransportFactory that will be used to create ClientTransport objects to send and receive SOAP messages.
`void` | `setPortName(QName name)` Set the QName of the port that the call will be made to.

Methods inherited from interface javax.xml.rpc.Call
`addParameter, addParameter, getOperationName, getOutputParams, getOutputValues, getParameterTypeByName, getPortTypeName, getProperty, getPropertyNames, getReturnType, getTargetEndpointAddress, invoke, invoke, invokeOneWay, isParameterAndReturnSpecRequired, removeAllParameters, removeProperty, setOperationName, setPortTypeName, setProperty, setReturnType, setReturnType, setTargetEndpointAddress`

Field Detail

### ENDPOINT_ADDRESS_PROPERTY

    public static final String ENDPOINT_ADDRESS_PROPERTY

  A property to set the endpoint address on the Call object instance.

  Type: java.lang.String

  See Also:
    Constant Field Values

Method Detail

### getPortName

    public QName getPortName()

  Get the QName of the port that the call will be made to.
  Returns:
    QName of webservice port

### setPortName

    public void setPortName(QName name)

  Set the QName of the port that the call will be made to.
  Parameters:
    `name` - QName of the webservice port

### getClientTransport

    public ClientTransport getClientTransport()

  Gets the ClientTransport object representing the transport mechanism that will be used to send and receive soap messages.
  Returns:
    The ClientTransport set on this Call

### invokeOneWay

    public void invokeOneWay(Element req)

  Invokes a remote method using the one-way interaction mode. The client thread does not block waiting for the completion of the server processing for this remote method invocation. This method must not throw any remote exceptions. This method may throw a `JAXRPCException` during the processing of the one-way remote call. <p/> Methods suchs as addParameter, setOperationName, setReturnType etc. are ignored if set as they don't apply here.
  Parameters:
    `req` - - This element is stuffed into the SOAP Body as-is without any wrapping and dispatched to the destination
  Throws:
    `JAXRPCException` - if there is an error in the configuration of the `Call` object (example: a non-void return type has been incorrectly specified for the one-way call) or if there is any error during the invocation of the one-way remote call

### invoke

    public Element invoke(Element req)
                   throws RemoteException

  Invokes a specific operation using a synchronous request-response interaction mode. <p/> Methods suchs as addParameter, setOperationName, setReturnType etc. are ignored if set as they don't apply here.
  Parameters:
    `req` - Element - This element is stuffed into the SOAP Body as-is without any wrapping and dispatched to the destination
  Returns:
    Return value as a Element or null
  Throws:
    `RemoteException` - if there is any error in the remote method invocation.
    `javax.xml.rpc.soap.SOAPFaultException` - Indicates a SOAP fault
    `JAXRPCException` - If there is an error in the configuration of the `Call` object

### invokeOneWay

    public void invokeOneWay(QName operationName,
                             Element[] messageParts)

  Invokes a remote method using the one-way interaction mode. The client thread does not block waiting for the completion of the server processing for this remote method invocation. This method must not throw any remote exceptions. This method may throw a `javax.xml.rpc.JAXRPCException` during the processing of the one-way remote call. <p/> Methods suchs as addParameter, setOperationName, setReturnType etc. are ignored if set as they don't apply here.
  Parameters:
    `operationName` - QName of the operation
    `messageParts` - Element[] - The child elements are stuffed into the SOAP Body within a wrapper and dispatched to the destination. The wrapper name is same as the operation name identified by operationName parameter.
  Throws:
    `JAXRPCException` - if there is an error in the configuration of the `Call` object (example: a non-void return type has been incorrectly specified for the one-way call) or if there is any error during the invocation of the one-way remote call

### invoke

    public Element invoke(QName operationName,
                          Element[] messageParts)
                   throws RemoteException

  Invokes a specific operation using a synchronous request-response interaction mode. <p/> Methods suchs as addParameter, setOperationName, setReturnType etc. are ignored if set as they don't apply here.
  Parameters:
    `operationName` - QName of the operation
    `messageParts` - Element[] - The child elements are stuffed into the SOAP Body within a wrapper and dispatched to the destination. The wrapper name is same as the operation name identified by operationName parameter
  Returns:
    Return value as a Element or null
  Throws:
    `RemoteException` - if there is any error in the remote method invocation.
    `javax.xml.rpc.soap.SOAPFaultException` - Indicates a SOAP fault
    `JAXRPCException` - If there is an error in the configuration of the `Call` object

### setClientTransportFactory

    public void setClientTransportFactory(ClientTransportFactory clientTransportFactory)

  Sets the ClientTransportFactory that will be used to create ClientTransport objects to send and receive SOAP messages.
  Parameters:
    `clientTransportFactory` - The ClientTransportFactory to be set

### addHeader

    public void addHeader(Element header)

  Add a header which should be inserted into each outgoing message we generate. This was added as part of BPEL integration requirement. Note: Not part of JAX-RPC specification.
  Parameters:
    `header` - a DOM Element to be inserted into messages

### getHeaders

    public Vector getHeaders()

  Get the headers that were added with the above method. Note: Not part of JAX-RPC specification.
  Returns:
    Returns the headers in a Vector

### addAttachment

    public void addAttachment(DataHandler dataHandler,
                              String contentEncoding,
                              String contentID)

  Add an attachment to the SOAPMessage in a DII call. It is best to use this API when adding a binary attachment such as jpeg or Word document.
  Parameters:
    `dataHandler` - The DataHandler object created with the attachment.
    `contentEncoding` - Content transfer encoding of the attachment MIME part, i.e. BASE64. This argument can be null, in which case the attachment will not be encoded.
    `contentID` - Content ID of the attachment MIME part. This argument can be null, in which case the Content-ID header of the attachment MIME part will be absent.
  Throws:
    `IllegalArgumentException` - if dataHandler is null.

### destroy

    public void destroy()

  Destroys the call and releases any resouces that may be held by it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD